This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1265309 - Operations running longer than 24hours should not be considered as not started
Operations running longer than 24hours should not be considered as not started
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: Operations (Show other bugs)
JON 3.3.2
Unspecified Unspecified
unspecified Severity medium
: ER01
: JON 3.3.4
Assigned To: Libor Zoubek
Filip Brychta
: Triaged
Depends On:
Blocks: 1232847
  Show dependency treegraph
 
Reported: 2015-09-22 11:54 EDT by Libor Zoubek
Modified: 2015-11-01 19:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 10:37:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2015-09-22 11:54:40 EDT
Description of problem:

In OperationManagerBean on server side we have a check which marks operation histories as timed out or not started under certain conditions.

Those conditions are not correct in case there is an operation with timeout larger than 24hours.

Version-Release number of selected component (if applicable):
JON 3.3.x

How reproducible: always


Steps to Reproduce:
1.
2.
3.

Actual results:
Operation running longer than 24hours is failed on server and considered as not started


Expected results: Operation should be considered as timed out after it's timeout is reached, and not started after timeout is reached and we don't have start time in given history entry. 24h limit should be removed.


Additional info:
Comment 1 Libor Zoubek 2015-09-22 13:33:02 EDT
branch:  master
link:    https://github.com/rhq-project/rhq/commit/1254b9fca
time:    2015-09-22 19:31:59 +0200
commit:  1254b9fca8c3a94da2e6d8948fadfce102cbd253
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1265309 - Operations running longer than 24hours should not be
         considered as not started

         Fix OperationManagerBean cleanup logic for IN_PROGRESS
         operations. The main change is, that we'll timeout only
         operation histories that have been started (this should mean
         agent received operation request) but did not finish on time
         (either because they just timed out or agent died in the middle
         of operation execution). Then we'll mark operations as
         not-started only if they were not started within 24hours since
         they were created.
Comment 2 Michael Burman 2015-09-25 04:30:07 EDT
Cherry-picked to release/jon3.3.x:

commit 8ccd22aa13c655be8bb0b5f5e141976b2a939e70
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Tue Sep 22 18:25:46 2015 +0200

    Bug 1265309 - Operations running longer than 24hours should not be
    considered as not started
    
    Fix OperationManagerBean cleanup logic for IN_PROGRESS operations. The main
    change is, that we'll timeout only operation histories that have been
    started (this should mean agent received operation request) but did not
    finish on time (either because they just timed out or agent died in the
    middle of operation execution). Then we'll mark operations as not-started
    only if they were not started within 24hours since they were created.
    
    (cherry picked from commit 1254b9fca8c3a94da2e6d8948fadfce102cbd253)
Comment 3 Simeon Pinder 2015-10-09 00:40:15 EDT
Moving to ON_QA as available to test with the following build:
https://brewweb.devel.redhat.com/buildinfo?buildID=460382

 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-04.zip.
Comment 4 Filip Brychta 2015-10-22 09:11:25 EDT
Verified on
Version :	
3.3.0.GA Update 04
Build Number :	
e9ed05b:aa79ebd

Operation is in progress longer than 24h
Comment 6 errata-xmlrpc 2015-10-28 10:37:36 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1947.html

Note You need to log in before you can comment on or make changes to this bug.